/*
 *  @(#) BmpConstants.java  1.0 20-jul-99
 *
 *  Copyright by <ADRESS>Thomas Holland, innot@frankfurt.netsurf.de</ADRESS>
 *  This is part of the <I>presdec</I> application.
 *  For detailed information read the <TT>README</TT> file supplied with this application.
 *
 */

package presdec.resource.bitmap;


/**
 *	The offsets of all fields of an bmp header
 *  
 *	@author 	Thomas Holland
 *	@version	1.0 20-jul-99
 *	@see 		presdec.resource.bitmap.BmpConverter
 */
public interface BmpConstants {
	
	/** The size of the bitmap file header */
	public final static int BMP_HEADERSIZE = 14;
	
	/** The size of the bitmap info header */
	public final static int BMP_INFOHEADERSIZE = 40;
	
	/** The size of the colormap (2 entries) */
	public final static int BMP_COLORMAPSIZE = 8;

	// The fields of the file header
	public final static int BMP_bfType = 0;
	public final static int BMP_bfSize = 2;
	public final static int BMP_bfReserved = 6;
	public final static int BMP_bfOffBits = 10;

	// The fields of the info header
	public final static int BMP_biSize = 0;
	public final static int BMP_biWidth = 4;
	public final static int BMP_biHeight = 8;
	public final static int BMP_biPlanes = 12;
	public final static int BMP_biBitCount = 14;
	public final static int BMP_biCompression = 16;
	public final static int BMP_biSizeImage = 20;
	public final static int BMP_biXPelsPerMeter = 24;
	public final static int BMP_biYPelsPerMeter = 28;
	public final static int BMP_biClrUsed = 32;
	public final static int BMP_biClrImportant = 36;

}