/*
 *  @(#) FormPopup.java 1.0 30-sep-98
 *
 *  Copyright by <ADRESS>Thomas Holland, innot@frankfurt.netsurf.de</ADRESS>
 *  This is part of the <I>presdec</I> application.
 *  For detailed information read the <TT>README</TT> file supplied with this application.
 *
 */

package presdec.resource.form;

import java.io.Writer;
import java.io.IOException;
 
import presdec.resource.ResByte;

/**
 *	A popup object within a Form Resource
 *
 *	@author Thomas Holland
 *	@version 1.0  30-sep-98
 *
 *	@see	presdec.resource.form.FormObject
 *	@see	presdec.resource.Res_tFRM
 */
public class FormPopup extends FormObject{

// Data members ----------------------------------------------------------

	/** Popup id */
	public int listid;


// End of data members ---------------------------------------------------

// Constructors ----------------------------------------------------------

	/** 
	 *	Construct a formPopup object out of a form resource
	 *
	 *	@param res	The resource
	 *	@param offset	Starting point of the object
	 *
	 *	@return		void
	 *  
	 *	@exception	ArrayIndexOutOfBoundsException If the resource is to short
	 *			(reading past the end)
	 */
	public FormPopup(ResByte res, int offset) throws ArrayIndexOutOfBoundsException {

		super(); // get options

		int tmp;		

		res.setPtr(offset);

		// Id and the list ID
		id = res.getNextWord();
		listid = res.getNextWord();
	}	

// End of Constructor ----------------------------------------------------
// Public methods --------------------------------------------------------


	/**
	 *	Save FormTitle as RCP file
	 *
	 * 
	 *	@param writer	where the ascii description should be saved
	 *	
	 *	@return		boolean if the resource is not saveable in a RCP
	 *					
	 * 	@exception	java.io.IOException If the object could not be written
	 *
	 */
	public boolean saveRCP(Writer writer) throws IOException {
			
		writer.write("        POPUPLIST   ID " + id + " " + listid +"\n");
		return true;
	}

// End of public methods -------------------------------------------------

} // end of class FormPopup



