/*
 *  @(#) FormTitle.java 1.0 30-sep-98
 *
 *  Copyright by <ADRESS>Thomas Holland, innot@frankfurt.netsurf.de</ADRESS>
 *  This is part of the <I>presdec</I> application.
 *  For detailed information read the <TT>README</TT> file supplied with this application.
 *
 */

package presdec.resource.form;

import java.io.Writer;
import java.io.IOException;
 
import presdec.resource.ResByte;

/**
 *	The title string of a Form Resource
 *
 *	@author Thomas Holland
 *	@version 1.0  30-sep-98
 *
 *	@see	presdec.resource.form.FormObject
 *	@see	presdec.resource.Res_tFRM
 */
public class FormTitle extends FormObject{

// Data members ----------------------------------------------------------

	/** The Title string */
	protected String label;

// End of data members ---------------------------------------------------

// Constructors ----------------------------------------------------------

	/** 
	 *	Construct a formLabel object out of a form resource
	 *
	 *	@param res	The resource
	 *	@param offset	Starting point of the object
	 *
	 *	@return		void
	 *  
	 *	@exception	ArrayIndexOutOfBoundsException If the resource is to short
	 *			(reading past the end)
	 */
	public FormTitle(ResByte res, int offset) throws ArrayIndexOutOfBoundsException {

		super(); // get options

		int tmp;		

		res.setPtr(offset);

		// Dimensions...
		x = res.getNextWord();
		y = res.getNextWord();
		w = res.getNextWord();
		h = res.getNextWord();

		// ... are not supported, so lets set them to 0/0 to make the title
		// the first element in the sorted list
		x = -1;
		y = -1;

		// Get the string
		tmp = res.getNextLong();
		label = res.getNextString(true);
	}	

// End of Constructor ----------------------------------------------------

// Public methods --------------------------------------------------------


	/**
	 *	Save FormTitle as RCP file
	 *
	 * 
	 *	@param writer	where the ascii description should be saved
	 *	
	 *	@return 	boolean if the resource is not saveable in a RCP
	 *		
	 * 	@exception	java.io.IOException  If the object could not be written
	 *
	 */
	public boolean saveRCP(Writer writer) throws IOException {
			
		writer.write("        TITLE       \"" + label + "\"\n");
		return true;
	}



// End of public methods -------------------------------------------------

} // end of class FormTitle



