/*
 *  @(#) FormUnknown.java 1.0 30-sep-98
 *
 *  Copyright by <ADRESS>Thomas Holland, innot@frankfurt.netsurf.de</ADRESS>
 *  This is part of the <I>presdec</I> application.
 *  For detailed information read the <TT>README</TT> file supplied with this application.
 *
 */

package presdec.resource.form;

import java.io.Writer;
import java.io.IOException;
 
import presdec.resource.ResByte;

/**
 *	A generic class for all unknown tFRM resource elements.
 *
 *	presdec knows all form objects of PalmOS V2.0 (and 3.0 beta) this will only happen if 
 *	future versions of the PalmOS define new form object types.
 *
 *	@author Thomas Holland
 *	@version 1.0  30-sep-98
 *
 *	@see	presdec.resource.form.FormObject
 *	@see	presdec.resource.Res_tFRM
 */
public class FormUnknown extends FormObject{

// Data members ----------------------------------------------------------

	/** Type of unknown object */
	int type;

// End of data members ---------------------------------------------------

// Constructors ----------------------------------------------------------

	/** 
	 *	Construct a FormUnknown object out of a form resource
	 *
	 *	@param res	The resource
	 *	@param offset	Starting point of the object
	 *	@param kind	The numeric type of the form object
	 *
	 *	@return		void
	 *  
	 *	@exception	ArrayIndexOutOfBoundsException If the resource is to short
	 *			(reading past the end)
	 */
	public FormUnknown(ResByte res, int offset, int kind) throws ArrayIndexOutOfBoundsException {
		super(); // get options
		type = kind;
		System.out.println("Unknown Form Object of type="+type+" found");
	}	

// End of Constructor ----------------------------------------------------

// Public methods --------------------------------------------------------


	/**
	 *	Save FormUnkown as RCP file
	 *
	 * 
	 *	@param writer	where the ascii description should be saved
	 *	
	 *  	@return		boolean if the resource is not saveable in a RCP
	 *					
	 * 	@exception	java.io.IOException  If the object could not be written
	 *
	 */
	public boolean saveRCP(Writer writer) throws IOException {
			
		writer.write("        [presdec: Unknown Form Object, type="+type+"]\n");

		return true;
	}



// End of public methods -------------------------------------------------

} // end of class FormUnknown



